Passer au contenu principal
PUT
/
v3
/
enterprise
/
organizations
/
{org_id}
/
tags
Remplacer les tags autorisés de l’organisation
curl --request PUT \
  --url https://api.devin.ai/v3/enterprise/organizations/{org_id}/tags \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tags": [
    "<string>"
  ]
}
'
import requests

url = "https://api.devin.ai/v3/enterprise/organizations/{org_id}/tags"

payload = { "tags": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tags: ['<string>']})
};

fetch('https://api.devin.ai/v3/enterprise/organizations/{org_id}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "tags": [
    "<string>"
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Permissions

Nécessite un utilisateur de service disposant de l’autorisation ManageEnterpriseSettings. De plus, la fonctionnalité des balises de session doit être activée pour l’Enterprise.

Autorisations

Authorization
string
header
requis

Identifiant de compte de service (préfixe : cog_)

Paramètres de chemin

org_id
string
requis

ID de l’organisation (préfixe : org-)

Exemple:

"org-abc123def456"

Corps

application/json
tags
string[]
requis

Réponse

Réponse réussie

tags
string[]
requis